package com.example;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;

public class TCPClient {

    // Separate method for starting the client
    public static void startClient(String serverAddress, int port) {
        try {
            // Create a socket to connect to the server
            Socket socket = new Socket(serverAddress, port);
            System.out.println("Connected to server at " + serverAddress + ":" + port);

            // Create input and output streams to send/receive data
            BufferedReader input = new BufferedReader(new InputStreamReader(socket.getInputStream()));
            PrintWriter output = new PrintWriter(socket.getOutputStream(), true);

            // Send a message to the server
            String message = "Hello, Server!";
            output.println(message);
            System.out.println("Sent to server: " + message);

            // Receive a response from the server
            String response = input.readLine();
            System.out.println("Received from server: " + response);

            // Close the connection
            socket.close();
            System.out.println("Connection closed.");
        } catch (IOException e) {
            System.err.println("Client error: " + e.getMessage());
        }
    }
}
